Package icyllis.modernui.widget

# Interface ViewPager.OnPageChangeListener

Enclosing class:
  `ViewPager`

public static interface ViewPager.OnPageChangeListener
Callback interface for responding to changing state of the selected page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `onPageScrolled(int position, float positionOffset, int positionOffsetPixels)`
  This method will be invoked when the current page is scrolled, either as part of a programmatically initiated smooth scroll or a user initiated touch scroll.
  `default void`
  `onPageScrollStateChanged(int state)`
  Called when the scroll state changes.
  `default void`
  `onPageSelected(int position)`
  This method will be invoked when a new page becomes selected.

- ## Method Details

  - ### onPageScrolled

    default void onPageScrolled(int position, float positionOffset, int positionOffsetPixels)
    This method will be invoked when the current page is scrolled, either as part of a programmatically initiated smooth scroll or a user initiated touch scroll.
    Parameters:
      `position` - Position index of the first page currently being displayed. Page position+1 will be visible if positionOffset is nonzero.
      `positionOffset` - Value from [0, 1) indicating the offset from the page at position.
      `positionOffsetPixels` - Value in pixels indicating the offset from position.

  - ### onPageSelected

    default void onPageSelected(int position)
    This method will be invoked when a new page becomes selected. Animation is not necessarily complete.
    Parameters:
      `position` - Position index of the new selected page.

  - ### onPageScrollStateChanged

    default void onPageScrollStateChanged(int state)
    Called when the scroll state changes. Useful for discovering when the user begins dragging, when the pager is automatically settling to the current page, or when it is fully stopped/idle.
    Parameters:
      `state` - The new scroll state.
    See Also:
      - `ViewPager.SCROLL_STATE_IDLE`
      - `ViewPager.SCROLL_STATE_DRAGGING`
      - `ViewPager.SCROLL_STATE_SETTLING`